【活用ガイド】

[English]

JVNDB-2011-000086

DBD::mysqlPP における SQL インジェクションの脆弱性

概要

DBD::mysqlPP には、SQL インジェクションの脆弱性が存在します。

DBD::mysqlPP は、MySQL のクライアントインターフェースを提供する Perl モジュールです。DBD::mysqlPP には、SQLインジェクションの脆弱性が存在します。

この脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき下記の方が IPA に報告し、JPCERT/CC が開発者との調整を行いました。
報告者: 株式会社ユービーセキュア 杉山 俊春 氏

CVSS による深刻度 (CVSS とは?)

基本値: 6.8 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 中
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): 部分的

影響を受けるシステム


小山浩之
  • DBD::mysqlPP version 0.04 およびそれ以前

想定される影響

第三者により、データベースで管理している情報を閲覧されたり、改ざんされたりする可能性があります。
対策

[DBD::mysqlPP を使用しない]
開発者によると、「DBD::mysqlPP は、ジョークプログラムとして作成されたものであり、プライベートな利用や MySQL 通信プロトコルの読解を助ける用途にのみ利用し、それ以外の用途においては同一の API を持つライブラリである DBD::mysql 最新版の使用を推奨する」とのことです。

DBD::mysql については、以下のページをご参照ください。

DBD::mysql
http://search.cpan.org/dist/DBD-mysql/
ベンダ情報

小山浩之
CWEによる脆弱性タイプ一覧  CWEとは?

  1. SQLインジェクション(CWE-89) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2011-3989
参考情報

  1. JVN : JVN#51216285
  2. National Vulnerability Database (NVD) : CVE-2011-3989
更新履歴

[2011年10月14日]
  掲載